@import '../../../assets/styles/common.scss';

.user-details {
  display: flex;

  &-content {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    margin-left: 1.6rem;
    overflow: hidden;

    &__name {
      font-size: 2.5rem;
      color: $white;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }

    &__following {
      font-style: italic;
      font-size: 1.7rem;
      color: $blue-light-one;
    }

    &__wallet {
      display: flex;
      flex-wrap: wrap;
      max-width: 20rem;
      font-size: 1.7rem;
      color: $blue-light-one;
    }
  }

  @media only screen and (max-width: 1400px) {
    &-content {
      &__name {
        font-size: 2.2rem;
      }

      &__following {
        font-size: 1.4rem;
      }

      &__wallet {
        max-width: 20rem;
        font-size: 1.7rem;
      }
    }
  }
}
